Bug 1008089 - crash in nv30_vbo_validate
crash in nv30_vbo_validate
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
: 1190079 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 11:43 EDT by Caolan McNamara
Modified: 2015-10-13 02:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: 10.6.3-3.20150729.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-15 15:50:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2013-09-14 11:43:30 EDT
Description of problem:
crash in nv30_vbo_validate when previewing "inside turning cube" slide transition in impress

Version-Release number of selected component (if applicable):
mesa-dri-drivers-9.2-1.20130902.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. yum -y install libreoffice-ogltrans
2. libreoffice --impress
3. slide transition
4. select inside turning cube

Actual results:
crash

Expected results:
no crash

Additional info:
sounds similar to bug 842783

>│241           PUSH_RESRC(push, NV30_3D(VTXBUF(i)), ...
 │242                            res, offset, NOUVEAU_BO_LOW ...
 │243                            0, NV30_3D_VTXBUF_DMA1);

#0  nv30_vbo_validate (nv30=0x220de50) at nv30_vbo.c:241
#1  0x00007fffcfcc3613 in nv30_state_validate (nv30=nv30@entry=0x220de50, hwtnl=hwtnl@entry=1 '\001')
    at nv30_state_validate.c:487
#2  0x00007fffcfcc6541 in nv30_clear (pipe=0x220de50, buffers=3, color=0x7fffffffc3c0, depth=1, stencil=0)
    at nv30_clear.c:61
#3  0x00007fffcfaf8a1a in st_Clear (ctx=0x2354270, mask=18) at ../../src/mesa/state_tracker/st_cb_clear.c:465
#4  0x00007fffd092e6bb in (anonymous namespace)::OGLTransitionerImpl::update (this=0x22007d0, 
    nTime=0.0078366994857788086)
    at /home/caolan/LibreOffice/core/slideshow/source/engine/OGLTrans/generic/OGLTrans_TransitionerImpl.cxx:1597
#5  0x00007fffd0e1e778 in slideshow::internal::(anonymous namespace)::PluginSlideChange::TransitionViewPair::update (
    this=0x2201740, t=0.0078366994857788086)
    at /home/caolan/LibreOffice/core/slideshow/source/engine/transitions/slidetransitionfactory.cxx:113
Comment 1 Caolan McNamara 2013-11-05 08:34:42 EST
This one is really killing us a lot in impress :-(
Comment 2 Fedora End Of Life 2015-01-09 14:50:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Caolan McNamara 2015-02-06 05:48:41 EST
*** Bug 1190079 has been marked as a duplicate of this bug. ***
Comment 4 Hans de Goede 2015-08-21 07:37:58 EDT
I'm taking this one, and I'll try to fix it :)

I cannot reproduce the crash on nv4x, but the transition obviously gets rendered wrong. It actually looks a bit like the result from https://bugs.freedesktop.org/show_bug.cgi?id=90871

I'll dig a bit deeper and see if I can fix this.
Comment 5 Hans de Goede 2015-09-11 09:28:43 EDT
Hi,

A quick status update on this, impress uses msaa visuals when available, this causes 2 problems
on nv3x/nv4x cards:

1) The colorresolve code for msaa cards was non existent, I've submitted patches which are now merged upstream fixing this.

2) Even with colorresolve fixed, things sometimes still go bad (esp. on older nv3x cards) , mesa runs out of videomem on these cards due to the extra videomem requirements of using msaa. This has been fixed upstream by disabling msaa on these cards alltogether.

I'm currently preparing an update for F-21 and F-22 which includes the patch to disable msaa, that should fix any issues with impress on these cards.

For F-23 / F-24 the fix should hit Fedora soon enough through syncing with upstream.

Regards,

Hans
Comment 6 Fedora Update System 2015-09-11 10:56:29 EDT
mesa-10.6.3-3.20150729.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15613
Comment 7 Fedora Update System 2015-09-11 10:59:00 EDT
mesa-10.4.7-2.20150323.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15614
Comment 8 Fedora Update System 2015-09-12 23:49:24 EDT
mesa-10.4.7-2.20150323.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mesa'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15614
Comment 9 Fedora Update System 2015-09-13 00:20:39 EDT
mesa-10.6.3-3.20150729.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mesa'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15613
Comment 10 Fedora Update System 2015-09-15 15:50:19 EDT
mesa-10.6.3-3.20150729.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-13 02:53:26 EDT
mesa-10.4.7-2.20150323.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.